Name:           perl-Sub-Exporter
Version:        0.981
Release:        1%{?dist}
Summary:        Sophisticated exporter for custom-built routines
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Sub-Exporter/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Sub-Exporter-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Data::OptList) >= 0.1
BuildRequires:  perl(Params::Util) >= 0.14
BuildRequires:  perl(Sub::Install) >= 0.92
# testing...
BuildRequires:  perl(Package::Generator)


%description
Sub::Exporter provides a sophisticated alternative to Exporter.pm. It allows
for renaming, currying/sub-generation, and other cool stuff.

ACHTUNG! If you're not familiar with Exporter or exporting, read
Sub::Exporter::Tutorial first!

%prep
%setup -q -n Sub-Exporter-%{version}

find t/ -type f -exec perl -pi -e 's|^#!perl|#!/usr/bin/perl|' {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -depth -type d -exec rmdir --ignore-fail-on-non-empty {} + 

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.981-1
- update to 0.981

* Thu Oct 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.980-1
- update to 0.980

* Mon Jun 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.979-1
- update to 0.979
- drop BR's on:  perl(Test::Pod::Coverage), perl(Test::Pod)

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.978-2
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.978-1
- update to 0.978
- fix license tag
- rebuild for new perl

* Thu Aug 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.975-1
- update to 0.975

* Fri Jun 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.974-1
- update to 0.974

* Sat Dec 09 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.972-1
- update to 0.972

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.970-2
- bump

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.970-1
- Specfile autogenerated by cpanspec 1.69.1.
